summaryrefslogtreecommitdiffstats
path: root/src/all.bash
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:15:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:15:26 +0000
commit82539ad8d59729fb45b0bb0edda8f2bddb719eb1 (patch)
tree58f0b58e6f44f0e04d4a6373132cf426fa835fa7 /src/all.bash
parentInitial commit. (diff)
downloadgolang-1.17-82539ad8d59729fb45b0bb0edda8f2bddb719eb1.tar.xz
golang-1.17-82539ad8d59729fb45b0bb0edda8f2bddb719eb1.zip
Adding upstream version 1.17.13.upstream/1.17.13upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/all.bash')
-rwxr-xr-xsrc/all.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/src/all.bash b/src/all.bash
new file mode 100755
index 0000000..5d994d3
--- /dev/null
+++ b/src/all.bash
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# Copyright 2009 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+if [ ! -f make.bash ]; then
+ echo 'all.bash must be run from $GOROOT/src' 1>&2
+ exit 1
+fi
+OLDPATH="$PATH"
+. ./make.bash "$@" --no-banner
+bash run.bash --no-rebuild
+PATH="$OLDPATH"
+$GOTOOLDIR/dist banner # print build info